
TYPO3.Flow - Feature # 26358

Status: Resolved Priority: Must have
Author: Robert Lemke Category: Session
Created: 2011-04-27 Assigned To: Robert Lemke
Updated: 2011-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Initialize sessions only when necessary
Description

As soon as a session is initialized, a cookie is sent to the browser and therefore making client- or proxy-side caching impossible /
hard. We therefore should only initialize a session when really needed, for example after authentication or when objects in a session
scope exist.

Related issues:
blocks TYPO3.Neos - Bug # 26666: Implement basic Proxy Caching Support Resolved 2011-05-06

Associated revisions
Revision 6d7d3b9a - 2011-10-14 13:50 - Robert Lemke

[FEATURE] Initialize session and session objects on demand

The default behavior of FLOW3 was that a session was initialized – and
thus a cookie sent – on every request, no matter if the session was
needed or not. This feature delays session initialization until when a
session is really needed. Existing sessions will be resumed
automatically.

A new session is only started if the Session->start() method is called
explicitly, or if a method which was tagged with @session autostart=true
was called.

Resolves: #26358

Change-Id: Id7ca5086353a77cabab27086949e326aa0e3d7a6

History
#1 - 2011-08-04 08:24 - Sebastian Kurfuerst
- Target version changed from 1.0 beta 1 to 1.0 beta 2

we won't manage this for beta1 anymore, postproning

#2 - 2011-09-09 15:17 - Robert Lemke
- Target version changed from 1.0 beta 2 to 1.0.0

#3 - 2011-09-29 12:38 - Karsten Dambekalns
- Assigned To changed from Robert Lemke to Andreas Förthner

2015-08-03 1/3



#4 - 2011-10-12 10:44 - Robert Lemke
- Assigned To changed from Andreas Förthner to Robert Lemke

#5 - 2011-10-12 15:11 - Robert Lemke
- Target version changed from 1.0.0 to 1230

#6 - 2011-10-12 15:27 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 5 of change Id7ca5086353a77cabab27086949e326aa0e3d7a6 has been pushed to the review server.
It is available at http://review.typo3.org/5396

#7 - 2011-10-12 19:44 - Mr. Hudson

Patch set 6 of change Id7ca5086353a77cabab27086949e326aa0e3d7a6 has been pushed to the review server.
It is available at http://review.typo3.org/5396

#8 - 2011-10-12 21:29 - Mr. Hudson

Patch set 7 of change Id7ca5086353a77cabab27086949e326aa0e3d7a6 has been pushed to the review server.
It is available at http://review.typo3.org/5396

#9 - 2011-10-12 21:35 - Mr. Hudson

Patch set 8 of change Id7ca5086353a77cabab27086949e326aa0e3d7a6 has been pushed to the review server.
It is available at http://review.typo3.org/5396

#10 - 2011-10-13 22:37 - Mr. Hudson

Patch set 9 of change Id7ca5086353a77cabab27086949e326aa0e3d7a6 has been pushed to the review server.
It is available at http://review.typo3.org/5396

#11 - 2011-10-13 23:09 - Mr. Hudson

Patch set 10 of change Id7ca5086353a77cabab27086949e326aa0e3d7a6 has been pushed to the review server.
It is available at http://review.typo3.org/5396

#12 - 2011-10-13 23:31 - Mr. Hudson

Patch set 11 of change Id7ca5086353a77cabab27086949e326aa0e3d7a6 has been pushed to the review server.
It is available at http://review.typo3.org/5396

#13 - 2011-10-14 13:50 - Mr. Hudson

Patch set 12 of change Id7ca5086353a77cabab27086949e326aa0e3d7a6 has been pushed to the review server.
It is available at http://review.typo3.org/5396

#14 - 2011-10-14 14:06 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6d7d3b9ae15b120acb647526f92ed443fdab312a.

#15 - 2011-10-20 01:37 - Karsten Dambekalns
- Target version changed from 1230 to 1.0.0
